Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.facets
Class ExplicitSignaturePolicyService

    java.lang.Object
      be.fedict.eid.applet.service.signer.facets.ExplicitSignaturePolicyService

All Implemented Interfaces:
  SignaturePolicyService

    public class ExplicitSignaturePolicyService

extends Object
implements SignaturePolicyService

Explicit signature policy service implementation.

Author:
  Frank Cornelis

Constructor Summary
`ExplicitSignaturePolicyService(String signaturePolicyIdentifier, byte[] signaturePolicyDocument, String signaturePolicyDescription, String signaturePolicyDownloadUrl)` Main constructor.

Method Summary
`String` | `getSignaturePolicyDescription()` Gives back the short description of the signature policy or `null` if a description is not available.
`byte[]` | `getSignaturePolicyDocument()` Gives back the signature policy document.
`String` | `getSignaturePolicyDownloadUrl()` Gives back the download URL where the signature policy document can be found.
`String` | `getSignaturePolicyIdentifier()` Gives back the signature policy identifier URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExplicitSignaturePolicyService

    public ExplicitSignaturePolicyService(String signaturePolicyIdentifier,
                                          byte[] signaturePolicyDocument,
                                          String signaturePolicyDescription,
                                          String signaturePolicyDownloadUrl)

  Main constructor.

  Parameters:
    `signaturePolicyIdentifier` - the identifier URI.
    `signaturePolicyDocument` -
    `signaturePolicyDescription` - the optional description.
    `signaturePolicyDownloadUrl` - the optional download URL.

Method Detail

### getSignaturePolicyDescription

    public String getSignaturePolicyDescription()

  Description copied from interface: `SignaturePolicyService`
  Gives back the short description of the signature policy or `null` if a description is not available.

  Specified by:
    `getSignaturePolicyDescription` in interface `SignaturePolicyService`
  Returns:
    the description, or `null`.

### getSignaturePolicyDocument

    public byte[] getSignaturePolicyDocument()

  Description copied from interface: `SignaturePolicyService`
  Gives back the signature policy document.

  Specified by:
    `getSignaturePolicyDocument` in interface `SignaturePolicyService`
  Returns:
    the bytes of the signature policy document.

### getSignaturePolicyDownloadUrl

    public String getSignaturePolicyDownloadUrl()

  Description copied from interface: `SignaturePolicyService`
  Gives back the download URL where the signature policy document can be found. Can be `null` in case such a download location does not exist.

  Specified by:
    `getSignaturePolicyDownloadUrl` in interface `SignaturePolicyService`
  Returns:
    the download URL, or `null`.

### getSignaturePolicyIdentifier

    public String getSignaturePolicyIdentifier()

  Description copied from interface: `SignaturePolicyService`
  Gives back the signature policy identifier URI.

  Specified by:
    `getSignaturePolicyIdentifier` in interface `SignaturePolicyService`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 FedICT. All Rights Reserved.